package com.ruoyi.cs.service.impl;

import java.util.List;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.cs.mapper.CsOrderClassMapper;
import com.ruoyi.cs.domain.CsOrderClass;
import com.ruoyi.cs.service.ICsOrderClassService;

import javax.annotation.Resource;

/**
 * 工单类型Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Service
public class CsOrderClassServiceImpl implements ICsOrderClassService
{
    @Resource
    private CsOrderClassMapper csOrderClassMapper;

    /**
     * 查询工单类型
     *
     * @param orderClassId 工单类型主键
     * @return 工单类型
     */
    @Override
    public CsOrderClass selectCsOrderClassByOrderClassId(String orderClassId)
    {
        return csOrderClassMapper.selectCsOrderClassByOrderClassId(orderClassId);
    }

    /**
     * 查询工单类型列表
     *
     * @param csOrderClass 工单类型
     * @return 工单类型
     */
    @Override
    public List<CsOrderClass> selectCsOrderClassList(CsOrderClass csOrderClass)
    {
        return csOrderClassMapper.selectCsOrderClassList(csOrderClass);
    }

    /**
     * 新增工单类型
     *
     * @param csOrderClass 工单类型
     * @return 结果
     */
    @Override
    public int insertCsOrderClass(CsOrderClass csOrderClass)
    {
        Snowflake snowflake = IdUtil.createSnowflake(1, 1);
        csOrderClass.setOrderClassId(snowflake.nextIdStr());
        //csOrderClass.setOrderClassId(IdUtils.fastSimpleUUID());
        csOrderClass.setCreateAt(DateUtils.getTime());
        csOrderClass.setDelFlag("0");
        return csOrderClassMapper.insertCsOrderClass(csOrderClass);
    }

    /**
     * 修改工单类型
     *
     * @param csOrderClass 工单类型
     * @return 结果
     */
    @Override
    public int updateCsOrderClass(CsOrderClass csOrderClass)
    {
        csOrderClass.setUpdateAt(DateUtils.getTime());
        return csOrderClassMapper.updateCsOrderClass(csOrderClass);
    }

    /**
     * 批量删除工单类型
     *
     * @param orderClassIds 需要删除的工单类型主键
     * @return 结果
     */
    @Override
    public int deleteCsOrderClassByOrderClassIds(String[] orderClassIds)
    {
        return csOrderClassMapper.deleteCsOrderClassByOrderClassIds(orderClassIds);
    }

    /**
     * 删除工单类型信息
     *
     * @param orderClassId 工单类型主键
     * @return 结果
     */
    @Override
    public int deleteCsOrderClassByOrderClassId(String orderClassId)
    {
        return csOrderClassMapper.deleteCsOrderClassByOrderClassId(orderClassId);
    }
}
